#-------------------------------------------------
#
# Project created by QtCreator 2017-09-28T12:31:58
#
#-------------------------------------------------

QT       += widgets network

#greaterThan(QT_MAJOR_VERSION, 4): QT += printsupport

TARGET = GrifoMCS
TEMPLATE = lib

#CONFIG += plugin

CONFIG += staticlib

# The following define makes your compiler emit warnings if you use
# any feature of Qt which as been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += grifomcs.cpp \
    GADS/GPL/gpl.cpp \
    GADS/GPL/plugindialog.cpp \
    GADS/GPL/qcustomplot.cpp \
    GADS/GrifoADS/ADS/src/toollib/itc_multibuffer.cpp \
    GADS/GrifoADS/ADS/src/toollib/itc_triplebuffer.cpp \
    GADS/GrifoADS/ADS/src/toollib/rtg_atom_win32.cpp \
    GADS/GrifoADS/ADS/src/toollib/time_metrics.cpp \
    GADS/GrifoADS/ADS/src/wb/ads_data.cpp \
    GADS/GrifoADS/ADS/src/wb/ads_debug.cpp \
    GADS/GrifoADS/ADS/src/wb/ads_fastslots.cpp \
    GADS/GrifoADS/ADS/src/wb/ads_manager.cpp \
    GADS/GrifoADS/ADS/src/wb/ads_mousegrabber.cpp \
    GADS/GrifoADS/ADS/src/wb/ads_rawmsgwidget.cpp \
    GADS/GrifoADS/ADS/src/wb/ads_widgets.cpp \
    GADS/GrifoADS/ADS/src/wb/ads_workbench.cpp \
    GADS/GrifoADS/ADS/src/wb/adsmonitorwidget.cpp \
    GADS/GrifoADS/ADS/src/wb/adsplotwidget.cpp \
    GADS/GrifoADS/ADS/src/wb/qadsplot.cpp \
    GADS/GrifoADS/ads_pluginloader.cpp \
    GADS/MCS/GrfioMcsCommon/grfiomcscommon.cpp \
    GADS/MCS/MCS_G346/g346/g346_a1a2.cpp \
    GADS/MCS/MCS_G346/g346/g346_a4a5.cpp \
    GADS/MCS/MCS_G346/g346/g346_b9b10.cpp \
    GADS/MCS/MCS_G346/g346/g346_a3.cpp \
    GADS/MCS/MCS_G346/g346/g346_common.cpp \
    GADS/MCS/MCS_G346/g346/grifobiteform.cpp \
    GADS/MCS/MCS_G346/g346/grifocmddock.cpp \
    GADS/MCS/MCS_G346/g346/grifoflightsimulator.cpp \
    GADS/MCS/MCS_G346/g346/grifogfxform.cpp \
    GADS/MCS/MCS_G346/g346/grifordrcontrolform.cpp \
    GADS/MCS/MCS_G346/g346/grifosettingsform.cpp \
    GADS/MCS/MCS_G346/g346/grifosnuform.cpp \
    GADS/MCS/MCS_G346/g346/grifotgtform.cpp \
    GADS/MCS/MCS_G346/g346/icd_g346.cpp \
    GADS/MCS/MCS_G346/g346/mcs_g346.cpp \
    GADS/MCS/MCS_G346/g346/rdrstatusform.cpp \
    GADS/MCS/MCS_G346/mcs_g346_plugin.cpp \
    GADS/GPL/windowmenu.cpp \
    GADS/GrifoADS/mcsmainwindow.cpp \
    GADS/MCS/MCS_G346/g346/grifomsg_datalinktgt.cpp \
    GADS/MCS/MCS_G346/g346/grifodltgtform.cpp \
    GADS/GrifoADS/adsfdm.cpp \
    GADS/MCS/GrfioMcsCommon/gc_math.cpp \
    GADS/GrifoADS/mcsmainwidget.cpp \
    GADS/GrifoADS/mcsvirtualjoystickwidget.cpp \
    GADS/MCS/MCS_G346/g346/grifoparamform.cpp


HEADERS += grifomcs.h \
    GADS/ADS_Interfaces/AVB1553/avb_driver.h \
    GADS/ADS_Interfaces/ads_driver1553.h \
    GADS/ADS_Interfaces/ads_driver1553_global.h \
    GADS/ADS_Interfaces/ads_plugin.h \
    GADS/ADS_Interfaces/ads_plugin_global.h \
    GADS/GPL/gpl.h \
    GADS/GPL/plugindialog.h \
    GADS/GPL/qcustomplot.h \
    GADS/GPL/windowmenu.h \
    GADS/GrifoADS/ADS/inc/ext/avb_driver.h \
    GADS/GrifoADS/ADS/inc/ext/IAvbDevice.h \
    GADS/GrifoADS/ADS/inc/toollib/itc_multibuffer.h \
    GADS/GrifoADS/ADS/inc/toollib/itc_triplebuffer.h \
    GADS/GrifoADS/ADS/inc/toollib/rtg_atomic.h \
    GADS/GrifoADS/ADS/inc/toollib/time_metrics.h \
    GADS/GrifoADS/ADS/inc/ads_data.h \
    GADS/GrifoADS/ADS/inc/ads_debug.h \
    GADS/GrifoADS/ADS/inc/ads_fastslots.h \
    GADS/GrifoADS/ADS/inc/ads_manager.h \
    GADS/GrifoADS/ADS/inc/ads_mousegrabber.h \
    GADS/GrifoADS/ADS/inc/ads_widgets.h \
    GADS/GrifoADS/ADS/inc/ads_workbench.h \
    GADS/GrifoADS/ADS/inc/adsplotwidget.h \
    GADS/GrifoADS/ADS/src/wb/ads_rawmsgwidget.h \
    GADS/GrifoADS/ADS/src/wb/adsmonitorwidget.h \
    GADS/GrifoADS/ADS/src/wb/buscontroldock.h \
    GADS/GrifoADS/ADS/src/wb/qadsplot.h \
    GADS/GrifoADS/ads_pluginloader.h \
    GADS/MCS/GrfioMcsCommon/grfiomcscommon.h \
    GADS/MCS/MCS_G346/dep/ads_fastslots.h \
    GADS/MCS/MCS_G346/dep/ads_mousegrabber.h \
    GADS/MCS/MCS_G346/dep/ads_workbench.h \
    GADS/MCS/MCS_G346/dep/time_metrics.h \
    GADS/MCS/MCS_G346/g346/g346_a1a2.h \
    GADS/MCS/MCS_G346/g346/g346_a4a5.h \
    GADS/MCS/MCS_G346/g346/g346_b9b10.h \
    GADS/MCS/MCS_G346/g346/g346_a3.h \
    GADS/MCS/MCS_G346/g346/g346_common.h \
    GADS/MCS/MCS_G346/g346/grifobiteform.h \
    GADS/MCS/MCS_G346/g346/grifocmddock.h \
    GADS/MCS/MCS_G346/g346/grifoflightsimulator.h \
    GADS/MCS/MCS_G346/g346/grifogfxform.h \
    GADS/MCS/MCS_G346/g346/grifordrcontrolform.h \
    GADS/MCS/MCS_G346/g346/grifosettingsform.h \
    GADS/MCS/MCS_G346/g346/grifosnuform.h \
    GADS/MCS/MCS_G346/g346/grifotgtform.h \
    GADS/MCS/MCS_G346/g346/icd_g346.h \
    GADS/MCS/MCS_G346/g346/mcs_g346.h \
    GADS/MCS/MCS_G346/g346/rdrstatusform.h \
    GADS/MCS/MCS_G346/MCS_G346_global.h \
    GADS/MCS/MCS_G346/mcs_g346_plugin.h \
    GADS/GrifoADS/mscmainwindow.h \
    GADS/MCS/MCS_G346/g346/grifomsg_datalinktgt.h \
    GADS/MCS/MCS_G346/g346/grifodltgtform.h \
    GADS/GrifoADS/adsfdm.h \
    GADS/GrifoADS/mcsmainwidget.h \
    GADS/GrifoADS/mcsvirtualjoystickwidget.h \
    GADS/MCS/MCS_G346/g346/grifoparamform.h


FORMS += \
    GADS/GrifoADS/ADS/src/wb/adsmonitorwidget.ui \
    GADS/MCS/MCS_G346/g346/grifobiteform.ui \
    GADS/MCS/MCS_G346/g346/grifocmddock.ui \
    GADS/MCS/MCS_G346/g346/grifoflightsimulator.ui \
    GADS/MCS/MCS_G346/g346/grifogfxform.ui \
    GADS/MCS/MCS_G346/g346/grifordrcontrolform.ui \
    GADS/MCS/MCS_G346/g346/grifosettingsform.ui \
    GADS/MCS/MCS_G346/g346/grifosnuform.ui \
    GADS/MCS/MCS_G346/g346/grifotgtform.ui \
    GADS/MCS/MCS_G346/g346/rdrstatusform.ui \
    GADS/MCS/MCS_G346/g346/grifodltgtform.ui \
    GADS/GrifoADS/mcsmainwindow.ui \
    GADS/GrifoADS/mcsmainwidget.ui \
    GADS/GrifoADS/mcsvirtualjoystickwidget.ui \
    GADS/MCS/MCS_G346/g346/grifoparamform.ui



INCLUDEPATH += $$PWD/GADS/GPL

INCLUDEPATH += $$PWD/GADS/ADS_Interfaces
INCLUDEPATH += $$PWD/GADS/ADS_Interfaces/AVB1553

INCLUDEPATH += $$PWD/GADS/GrifoADS/ADS/inc
INCLUDEPATH += $$PWD/GADS/GrifoADS/ADS/inc/ext
INCLUDEPATH += $$PWD/GADS/GrifoADS/ADS/inc/toollib
INCLUDEPATH += $$PWD/GADS/GrifoADS/ADS/src/wb

INCLUDEPATH += $$PWD/GADS/MCS/GrifoMcsCommon
INCLUDEPATH += $$PWD/GADS/MCS/MCS_G346

REP_PRJ = $$PWD/../../..
G_PATH = $$REP_PRJ/GrifoSdkEif/pub
INCLUDEPATH += $$REP_PRJ/GrifoSDK/pub/inc
INCLUDEPATH += $$G_PATH/inc
INCLUDEPATH += $$G_PATH/TH

INCLUDEPATH += $$PWD/../QtADS

#SUBDIRS += \
#    GADS/driver1553/ads_driver1553_ddc_sim.pro
